summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Hubert Hesse2011-06-27 03:08:24 +0200
committer Niels Horn2011-06-27 03:08:24 +0200
commitc4556caac74cf3db6d81c839b77a3509bad6f131 (patch)
tree3d41bbc3db1665e509c92211025734cd234f3a73 /office
parente20d7af1f577bacf3e8968d0eb0af25ba21a8d1a (diff)
downloadslackbuilds-c4556caac74cf3db6d81c839b77a3509bad6f131.tar.gz
office/mupdf: Added (lightweight PDF viewer and toolkit)
Diffstat (limited to 'office')
-rw-r--r--office/mupdf/README8
-rw-r--r--office/mupdf/mupdf.SlackBuild80
-rw-r--r--office/mupdf/mupdf.info10
-rw-r--r--office/mupdf/slack-desc12
4 files changed, 110 insertions, 0 deletions
diff --git a/office/mupdf/README b/office/mupdf/README
new file mode 100644
index 0000000000..2a67b703c7
--- /dev/null
+++ b/office/mupdf/README
@@ -0,0 +1,8 @@
+mupdf is a lightweight PDF viewer and toolkit
+
+The renderer in MuPDF is tailored for high quality anti-aliased graphics.
+MuPDF renders text with metrics and spacing accurate to within fractions of
+a pixel for the highest fidelity in reproducing the look of a printed page
+on screen.
+
+This requires jbig2dec and openjpeg.
diff --git a/office/mupdf/mupdf.SlackBuild b/office/mupdf/mupdf.SlackBuild
new file mode 100644
index 0000000000..d56c9fa97e
--- /dev/null
+++ b/office/mupdf/mupdf.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for mupdf
+
+# Written by Hubert Hesse (slackbuilds@hubertscorner.de)
+
+PRGNAM=mupdf
+VERSION=${VERSION:-0.8.165}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-source.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+verbose=no \
+ make build=release prefix=$PKG/usr
+make build=release prefix=$PKG/usr install
+
+#don't overwrite poppler's pdfinfo
+mv $PKG/usr/bin/pdfinfo $PKG/usr/bin/pdfinfo-mupdf
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man/man1 $PKG/usr/man
+rm $PKG/usr/share/man -r
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README COPYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/mupdf/mupdf.info b/office/mupdf/mupdf.info
new file mode 100644
index 0000000000..ea5eaaab1b
--- /dev/null
+++ b/office/mupdf/mupdf.info
@@ -0,0 +1,10 @@
+PRGNAM="mupdf"
+VERSION="0.8.165"
+HOMEPAGE="http://www.mupdf.com/"
+DOWNLOAD="http://www.mupdf.com/download/mupdf-0.8.165-source.tar.gz"
+MD5SUM="a95813737924e60d87a944d52b6a5120"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Hubert Hesse"
+EMAIL="slackbuilds@hubertscorner.de"
+APPROVED="Niels Horn"
diff --git a/office/mupdf/slack-desc b/office/mupdf/slack-desc
new file mode 100644
index 0000000000..fba73a62b9
--- /dev/null
+++ b/office/mupdf/slack-desc
@@ -0,0 +1,12 @@
+ |-------handy-ruler----------------------------------------------------|
+mupdf: mupdf (a lightweight PDF viewer and toolkit)
+mupdf:
+mupdf: The renderer in MuPDF is tailored for high quality anti-aliased
+mupdf: graphics. MuPDF renders text with metrics and spacing accurate to
+mupdf: within fractions of a pixel for the highest fidelity in reproducing
+mupdf: the look of a printed page on screen.
+mupdf:
+mupdf: http://www.mupdf.com/
+mupdf:
+mupdf:
+mupdf: